加入您的部落格

若是您是 KDE 的貢獻者,並且您使用中文寫部落格,您可以將您的部落格加入 Planet KDE 中文區的行列。部落格的內容應以 KDE 為主,用中文寫,並且不會有不恰當的內容。若您的部落格中不只有 KDE 的內容,您可以考慮設立標籤,並只將含有該標籤的 feed 提供給 Planet KDE 中文區。

要在 Planet KDE 中文區加入您的部落格,您可以在 Bugzilla 上回報,回報內容裡列入您的名字,svn 帳號(若有的話),IRC 上使用的暱稱(若有的話),RSS 或 Atom 的 feed,以及您在 KDE 裡扮演的角色。最後並附上一張您的相片。

此外,Planet KDE 中文區也會放在 KDE 的 SVN 內。若您有帳號,您可以自行新增或編輯您的 feed:

  • svn checkout svn+ssh://svn@svn.kde.org/home/kde/trunk/www/sites/planet/planetkde-zh
  • 將您的相片放在 website/hackergotchi/ 內。相片裡應該放您的臉,並且要小於 80x80 像素,背景設為透明。接著用 svn add 加入 svn。
  • planetkde-zh/config 檔的尾端,將您個人資料加入(在括號內的是您在 IRC 上使用的暱稱):
  • feed 15m http://path.to/my/feed.rss define_name Konqi Konqueror (konqi) define_face hackergotchi/konqi.png define_facewidth 80 define_faceheight 80
  • 然後執行 svn commit

若您要將您的 Twitter 加到微型部落格的側邊列,則加入 define_microblog true 然後是您的名字,後面加上 [twitter]。目前只有 Twitter 可以這樣用,若是其他的微型部落格,請先聯繫 Jonathan Riddell 看看能否運作。

Planet KDE 中文區導引

Planet KDE 中文區是 KDE 專案的「臉面」之一,有數以百萬計的使用者與(潛在)貢獻者會讀取。發布在 Planet 中文區裡的內容都是作者自己的意見,但是整體內容會影響讀者對此專案的看法。因此在發文章時,請記住以下的導引內容,並且先讀取 KDE Code of Conduct。KDE 保留將不適當的部落格從 Planet 中移除的權利。如果這種狀況持續發生,KDE 社群工作小組(KDE Community Working Group)會考慮是否要再將您的部落格加入。

如果您不確定,或是您想瞭解哪些內容是適當的,請與 KDE 社群工作小組聯繫。

部落格內容應與 KDE 有關

您的部落格的主要內容應該與 KDE,以及您在 KDE 內所做的工作有關。部落格裡關於個人的文章也可以,因為 Planet KDE 是讓大家更瞭解開發者本身的一個媒介。不過部落格的 feeds 不應該只跟個人有關。若您不確定,您可以對文章加入標籤,並且只提供含該標籤的文章給 Planet KDE 中文區。

部落格文章應有建設性

部落格可以推廣 KDE,可以有建設性的意見,提出應修改的地方。部落格的內容不應該包含無意義的,毀滅性的,或是情緒性的負面批評。有建設性的批評是可以接受的,偶而情緒不爽也是可以理解的,但是不應該每篇文章都只含批評跟負面意見。多給建設性的意見可以幫助 KDE。

您必須是 KDE 的貢獻者

您必須經常貢獻給 KDE,例如提供程式,使用者支援,文件等等,您的文章才能放入 Planet KDE 中文區。

它必須是個人的部落格

Planet KDE 中文區是一個 KDE 貢獻者的部落格的收藏集。它不應該放某個專案的新聞。

別抓狂!

KDE 涵蓋了各式各樣的人與文化。褻瀆、不敬、歧視與淫穢的意見與內容都很容易冒犯到不同的人。不要對人做人身攻擊,或是攻擊其它的專案。

一些好的範例與其他更多的導引,您可以參考 KDE Code of Conduct

在這裡的人們

FeedRSSLast fetchedNext fetched after
Wei-Cheng Pan XML 02:07, Saturday, 18 March 02:22, Saturday, 18 March
Charka@中文 XML 02:07, Saturday, 18 March 02:22, Saturday, 18 March
ezgo, here we go! XML 02:07, Saturday, 18 March 02:22, Saturday, 18 March
I,KDE XML 02:07, Saturday, 18 March 02:22, Saturday, 18 March
CS Slayer XML 02:07, Saturday, 18 March 02:22, Saturday, 18 March
KDE@Taiwan XML 02:07, Saturday, 18 March 02:22, Saturday, 18 March
Max 的宅空間 XML 02:07, Saturday, 18 March 02:22, Saturday, 18 March

KDE 的微型部落格

June 02, 2015

I,KDE

kimtoy 1.10 兼容新版搜狗皮肤

自从新版搜狗拼音更新了皮肤压缩包,http://pinyin.sogou.com/skins/ 这个网站上大部分皮肤 kimtoy 都不能正常使用了,作为本工具的特色,实在不能忍了,多年后上来更新一发,目的就是为了兼容新版的搜狗皮肤,造福kimtoy的用户们(额,如果还有的话,nihui还没忘记大家啊)

另外,ibus-1.5 的按键处理机制的变化,加上 nihui 自己这些年一直用fcitx,kimtoy目前也只好先支持下 ctrl+space,其他的嘛,只好看造化了

下载页面:http://kde-apps.org/content/show.php/KIMToy?content=140967

欢迎在 kde-apps.org 的页面上 vote up 支持~~

 

2015-06-02 v1.10

支持搜狗加密皮肤

兼容 ibus-1.5.x 只支持使用 ctrl+space 切换输入法

修正打开配置对话框出现僵尸进程的问题

 

2012-06-28 v1.9.2

第二次尝试修复任务栏非预期的条目出现问题

 

2012-06-24 v1.9.1

尝试修复任务栏非预期的条目出现问题

过滤菜单遵循风格设置

 

2012-05-30 v1.9

高亮显示光标处候选词

状态栏过滤菜单弹出位置不再超出屏幕

scim-panel 启动后注册辅助状态栏按钮

ibus-panel 将提供额外的 attr 部分

托盘添加配置输入法菜单项

修正使用 gtk 程序不能鼠标切换输入法的问题

修正搜狗输入法皮肤字体颜色解析问题

修正切换输入法后旧状态栏按钮不消失的问题

 

14:37, Tuesday, 02 June UTC

December 07, 2014

I,KDE

Homebrew KF5 更新到 5.4.0

现在可以通过 Homebrew 包管理器在 OSX 上安装 KDE Frameworks 5 的 KDE 应用了.

关于 Homebrew 的使用方法见 Homebrew 官网, 使用以下命令安装 KF5 Tap

brew tap haraldf/kf5

使用以下命令安装 KDE 应用

brew install kf5-kate kf5-konversation kf5-konsole kf5-okteta

目前包括的KDE 应用有 Kate 14.12rc, Konsole 14.12rc, Okteta 14.12rc, Konversation 1.6beta.

目前已知的问题有:

  • 用户界面没有图标
  • 程序退出时崩溃
  • 菜单栏项目显示不全
  • 官方 Homebrew 的 qca 有 bug, 如果要装 Konversation 请 uninstall 或 unlink qca, 或将/usr/local/Cellar/qca/2.1.0/lib/cmake/Qca/QcaTargets.cmake中的INTERFACE_INCLUDE_DIRECTORIES设置为 "/usr/local/Cellar/qca/2.1.0/lib/qca.framework/Versions/2.1.0/Headers"

项目主页 https://github.com/haraldF/homebrew-kf5

konversation 1.6b

22:41, Sunday, 07 December UTC

July 15, 2014

I,KDE

KDE Plasma 5 发布

呃……虽说还没有出现在官网首页上的公告区(是缓存的缘故吗?),不过相关网页已经上线


KDE Plasma 5

主要特性:

全新用户界面

新的高对比度扁平化主题Breeze,视觉效果更加简洁、单色化、易于阅读。

更流畅的图形性能

Plasma界面完全使用OpenGL或OpenGL ES渲染,更加流畅、减少CPU运算负荷。

其它

桌面外壳整合

桌面布局能够根据设备所处的状态和所接入的外设动态转换。

启动器

Krunner搜索

Kickoff启动器经过了重新设计;增加一个类菜单的启动器Kicker;Krunner已基于QtQuick。

工作流增强

Plasma 5 亮度控制界面

通知区经过重新设计,风格更统一,窗口数量更少,转场更快。

增强高DPI显示器的显示效果

15:48, Tuesday, 15 July UTC

July 14, 2014

I,KDE

kdeconnect ios

Yang Qiao 最近新做的 ios 版本的 kdeconnet,目前还处于开发阶段

(再次向无私的开源贡献者竖起大拇指!)

已经实现的功能有

相互ping,利用mpris远程控制播放器,同步剪贴板内容,共享相册照片,汇报电池剩余量,用ios设备屏幕做触摸板,和kontact同步日历事件

下面是从Yang Qiao的blog盗过来的几张截图

 

更多详情可参见 Yang Qiao 的blog三篇

http://blog.yangqiao.fr/kdeconnect/gsoc-2014-kdeconnect-ios-here-i-am/

http://blog.yangqiao.fr/kdeconnect/kdeconnect-ios-four-plugins-done-and-more-coming/

http://blog.yangqiao.fr/kdeconnect/new-plugins-for-kdeconnect/

 

 

15:49, Monday, 14 July UTC

I,KDE

Dropbox 改为使用 Qt 作为 UI

来源:https://forums.dropbox.com/topic.php?id=118006

Dropbox 发布了一个新的实验性版本 2.11,相对对大家来说感兴趣的事情大概就是它采用 Qt5 重写了 UI。

当然除了 UI 之外也有其他的改进:

  • 检测文件描述符。
  • Windows 长路径支持。
  • 新的 Linux headless 模式设置
  • 加速小文件的上传。
  • 更新的启动画面。

=-=-=-=-=
Powered by Blogilo

03:02, Monday, 14 July UTC

July 11, 2014

I,KDE

kopete QQ 插件

zhjun5337 在 xiehuc 的 lwqq 基础上,开发出的 kopete qq 插件

支持好友聊天,群聊,讨论组

支持有格式的文字,收发图片,发表情

 

https://github.com/xiehuc/lwqq

http://git.oschina.net/zhjun5337/kopete-qq.git

非常感谢 zhjun5337 和 xiehuc 的不懈努力!

 

项目主页 http://kde-apps.org/content/show.php/Kopete+QQ?content=163953

目前已准备合入上游,进度见 https://git.reviewboard.kde.org/r/116605/

不过似乎最近一个月没啥进展,有能联系上推动下的么

 

02:38, Friday, 11 July UTC

October 04, 2013

KDE@Taiwan

KDE Dot News 上介紹 ezgo


ezgo 這兩年以 Kubuntu 為基底來開發,預設桌面設為 KDE。一些國外 KDE 社群的朋友對這個故事很有興趣,因此鼓勵我們寫一篇 ezgo 的介紹、現況與挑戰投稿到 KDE Dot News。

於是我以 Eric Sun 孫老師的講稿為主體,將它翻譯並加上一些與 KDE 相關的內容寫成一份草稿。經過幾位 KDE Dot News Editors 的協助修改,10 月 2 日這篇文章正式在 KDE Dot News 上發布

除了 KDE Dot News 外,ezgo 軍師團在 Facebook 上的所貼的該文的連結,也被 Facebook 上的 KDE 專頁引用,並且已經有十幾位其他的網友轉載。相信這對台灣的自由軟體社群,還有 KDE 社群都是相當令人振奮的故事。

也歡迎各位讀者發表你們的想法與意見。

08:24, Friday, 04 October UTC

August 22, 2013

KDE@Taiwan

KDE@Taiwan 網站重新開張


感謝 Acelan 大大的努力,KDE@Taiwan 網站有了新的面貌,新的機制也讓更多人一起新增與修改內容更加容易。

目前網站內只有一些基本的內容。歡迎有興趣的朋友參考這裡的說明,一起加入我們。

08:57, Thursday, 22 August UTC

April 15, 2013

Max 的宅空間

解決gcin輸入視窗總是固定在畫面左上角

在台灣gcin是蠻多人喜歡使用的輸入法框架,gcin在kde中有時候可能是打包者的疏忽,有時候是自己安裝設定上的疏忽,可能會導致輸入視窗總是固定在左上角,這時候該怎麼辦呢?
假設打包者沒問題,使用者可以調整KDE中的qtconfig來進行設定,執行qtconfig


設定 XIM over-the-spot,如下圖所示。
設定完重新登入,應該就可以了。

如果還是不行,可能還要檢查其他地方,看看檔案有沒有被放對。
輸入指令
gtk-query-immodules-2.0
會出現如下的訊息
$ gtk-query-immodules-2.0-64
# GTK+ Input Method Modules file
# Automatically generated file, do not edit
# Created by gtk-query-immodules-2.0-64 from gtk+-2.24.10
#
# ModulesPath = /home/maxwux/.gtk-2.0/2.10.0/x86_64-unknown-linux-gnu/immodules:/home/maxwux/.gtk-2.0/2.10.0/immodules:/home/maxwux/.gtk-2.0/x86_64-unknown-linux-gnu/immodules:/home/maxwux/.gtk-2.0/immodules:/usr/lib/gtk-2.0/2.10.0/x86_64-unknown-linux-gnu/immodules:/usr/lib/gtk-2.0/2.10.0/immodules:/usr/lib/gtk-2.0/x86_64-unknown-linux-gnu/immodules:/usr/lib/gtk-2.0/immodules
#
"/usr/lib/gtk-2.0/2.10.0/immodules/im-xim.so"
"xim" "X Input Method" "gtk20" "/usr/share/locale" "ko:ja:th:zh"

"/usr/lib/gtk-2.0/2.10.0/immodules/im-viqr.so"
"viqr" "Vietnamese (VIQR)" "gtk20" "/usr/share/locale" "vi"

"/usr/lib/gtk-2.0/2.10.0/immodules/im-multipress.so"
"multipress" "Multipress" "gtk20" "" ""

"/usr/lib/gtk-2.0/2.10.0/immodules/im-thai.so"
"thai" "Thai-Lao" "gtk20" "/usr/share/locale" "lo:th"

"/usr/lib/gtk-2.0/2.10.0/immodules/im-ipa.so"
"ipa" "IPA" "gtk20" "/usr/share/locale" ""

"/usr/lib/gtk-2.0/2.10.0/immodules/im-am-et.so"
"am_et" "Amharic (EZ+)" "gtk20" "/usr/share/locale" "am"

"/usr/lib/gtk-2.0/2.10.0/immodules/im-inuktitut.so"
"inuktitut" "Inuktitut (Transliterated)" "gtk20" "/usr/share/locale" "iu"

"/usr/lib/gtk-2.0/2.10.0/immodules/im-cedilla.so"
"cedilla" "Cedilla" "gtk20" "/usr/share/locale" "az:ca:co:fr:gv:oc:pt:sq:tr:wa"

"/usr/lib/gtk-2.0/2.10.0/immodules/im-cyrillic-translit.so"
"cyrillic_translit" "Cyrillic (Transliterated)" "gtk20" "/usr/share/locale" ""

"/usr/lib/gtk-2.0/2.10.0/immodules/im-ti-et.so"
"ti_et" "Tigrigna-Ethiopian (EZ+)" "gtk20" "/usr/share/locale" "ti"
"/usr/lib/gtk-2.0/2.10.0/immodules/im-ti-er.so"
"ti_er" "Tigrigna-Eritrean (EZ+)" "gtk20" "/usr/share/locale" "ti"

確認gtk im module是否有被正確讀取。

正常的話應該會有這一行
"/usr/lib/gtk-2.0/immodules/im-gcin.so"
"gcin" "gcin Input Method" "gcin" "/usr/share/locale" "zh:ja"
如果沒有,表示你的im-gcin.so並沒有被放到正確的位置。
你可以回報打包者,也許是打包到錯誤的地方,或者忘了包。

07:45, Monday, 15 April UTC

February 19, 2013

ezgo, here we go!

KDE 4.10 release party


ezgoX 去年推出以來,不知道大家還喜歡嗎?

ezgoX 以 KDE 為預設桌面,算是去年的一個大改變。而現在 KDE 4.10 已經於 2/6 釋出,剛好碰上我們的年假,所以我們把 KDE 4.10 release party 延到年後舉行。

目前時間定在 2/28 下午兩點。沒有 present,就蓋棉被純聊天。也許聊聊 KDE Asia event 舉辦的可能性、機會與計畫。

報名網址:http://registrano.com/events/214680

歡迎大家一起來聊聊,分享一下自己的心得。

08:18, Tuesday, 19 February UTC

KDE@Taiwan

KDE 4.10 release party

KDE 4.10 於 2/6 推出,剛好碰上台灣的年假,所以 4.10 release party 延到年後舉行。

時間訂於 2/28 下午 14:00。

報名網址:

http://registrano.com/events/214680

歡迎大家來純打屁,聊聊 KDE,使用心得,或者來幹譙一下翻譯。

08:15, Tuesday, 19 February UTC

November 17, 2012

CS Slayer

KDE e.V. Supporting member

回家发现了个包裹真是惊喜呢……

21:06, Saturday, 17 November UTC

November 09, 2012

Max 的宅空間

如何在螢幕上畫線標示重點

在投影簡報的時候你可能需要在螢幕上畫線來表示重點
在gnome下你可以使用gromit來幫助你畫線
那在KDE下呢?
KDE裏面就有內建的畫線功能喔!
只要到系統設定-->桌面效果-->所有效果-->滑鼠標記
把它勾起來就可以拿來在螢幕上畫圖了

你只要按下meta(windows)+shift就可以開始跟著你的鼠標開始畫線了
但是清除的部份需要設定一下
按下右邊的扳手圖案

你可以調整顏色
也可以設定清除滑鼠標記的熱鍵
如果想要將畫面存檔下來
只要按下print screen就可以了
算是很方便又實用的功能喔

03:44, Friday, 09 November UTC

Max 的宅空間

如何放大縮小(zoom in/out)桌面

在prensent的時候有時候你可能需要展示你的桌面,不管是打指令還是秀桌面,你都可能會遇到投影機出來的效果不好的狀況,那麼該怎麼辦?該怎麼樣才能呈獻影片中的效果呢?


其實很簡單,KDE本身就有內建了,在系統設定-->桌面效果-->所有效果-->縮放
套用後就生效了,按下meta+=就是放大(zoom in),按下meta+-就是縮小(zoom out),按下meta+0就是還原。

ps. meta就是你鍵盤上的windows鍵

03:31, Friday, 09 November UTC

September 10, 2012

ezgo, here we go!

ezgoX 安裝完整中文語系套件支援

雖然 ezgo X已經提供了基本的中文環境了,大家一安裝好就可以直接用詞音輸入法來打中文了,但是如果你還要在安裝更完整的中文字型和中文介面的話(強烈建議),可以用以下的方法:

1.  工具列->系統設定->地域 來進入「地域」設定



2. 點選左下角「系統語言」的時候,會跳出這個畫面來


3. 按下安裝,然後輸入密碼,這樣就大功告成囉!

03:08, Monday, 10 September UTC

September 09, 2012

ezgo, here we go!

ezgo X 下的 KDE 錢包

各位在進入 ezgo X 的時候,一定會看到這個非常新鮮的視窗跑出來。


以三秒緯我洞悉人心的觀察來看,一定絕大部分的人都會按下取消。尤其是看到「錢包」兩個字,更是感到害怕而會取消。然後你就會發現一來無線網路可能上不了,二來他會一直跳出來一直跳出來....

不要擔心!這東西不會花到你什麼錢的,就算你輸入的是銀行帳號密碼還是信用卡號碼都不會怎樣的 XD

這是 ezgo X 所採用的 KDE桌面環境裏面一個獨特,保護你的密碼的一個程式。當你將上面的視窗給設定密碼後(隨便都可以,你可以設定成自己帳號的使用者密碼),之後要是出現某些要存取密碼的程式(像是現在點選無線網路的話),就會跳出下面的視窗。



這時候你就輸入你前面一個視窗所設定的密碼,這樣就可以了。然後當你輸入完畢之後,假如是在你信任的場所,像是你家的無線網路的話,那就按下「允許永遠使用」的按鈕,這樣就可以囉。


放心的使用這個軟體吧,他不會讓你花錢的,放心放心 XD

15:19, Sunday, 09 September UTC

September 01, 2012

ezgo, here we go!

將 ezgo X 的視窗管理員設定成只有圖示而已

這次的 ezgo X 跟以往不一樣,工具列不再是上下兩條,而是只有一條而已,那麼這時候我們工具列的空間就寸土寸金啦。然後再加上一些常用軟體的捷徑的話,那整個工具列的空間就愈來愈擠了。

當然,你也可以自由新增另一條工具列 (對著工具列按下右鍵->新增面板),不過如果你跟我一樣只想要一條工具列就夠了,這時候該怎麼樣節省空間呢?很簡單,只要將視窗工作管理員給弄成只有圖示顯示就好了!

預設的 ezgo X ,在開啟視窗之後,下方的工作管理員會是這樣顯示的



而這樣子雖然還滿傳統的,但是視窗一多難滿就愈來愈擠,大概開個五六個就不行了。這時候,有些人就會懷念 windows 7 那種只有圖示顯示出來的模式了,不落人後的,ezgo X 所使用的 KDE 介面也可以輕鬆達到這樣的效果喔!

首先,按下工作列右下角最右方的面板編輯按鈕



接著,將滑鼠移到工具列中間,會看到「工作管理員」的小視窗跳出來,這時候按下上面的 X 來將工作管理員移除



接著,按下新增元件。

 

找到「只有圖示的工作管理員」,並且快點兩下



最後你會發現,新增之後的位置在最右邊,我們一般來說都是移到中間的,所以記得要用拖曳的方式把只有圖示的工作管理員拉到最中間喔。







18:54, Saturday, 01 September UTC

ezgo, here we go!

ezgo X 更改右上角按鈕大小

這一次的 ezgo 選擇了 KDE 當作我們預設的桌面系統,看上的就是因為它可以自由調整的彈性非常的高。這一篇文章就是一個例子喔!

如果你覺得右上角放大、縮小、關閉的按鈕太小,不好按的話,這時候該怎麼辦呢?在 KDE 之下,這都是可以調整的呢!

只要先從下方工具列點選系統圖示,進入系統設定的地方



然後選擇「工作空間外觀與行為」




接著按下「設定裝飾」


最後會跳出一個視窗,從「按鍵大小」那裡選擇你要的大小,可以設定到非常巨大喔!


如何,是不是很方便啊?

18:54, Saturday, 01 September UTC

ezgo, here we go!

ezgo X 底下安裝其他字體

接下來教學就教大家怎麼樣在 ezgo X 之下安裝其他字型。

以標楷體為例,很多人在很多場合都是需要標楷體的,雖然在 ezgo本身就有 Ar PL Ukai 這個類似標楷體的字體可以用,但是有些時候別人用標楷體寫的文件、或者是你在 ezgo 上寫的文件拿到 windows 下來用,那個字體看起來就會非常的奇怪。

這時候,該怎麼辦呢?

其實解法很簡單,只要把 windows 底下的標楷體檔案安裝到 ezgo 底下就好囉!

1.去windows底下的c:/ -> windows -> fonts 資料夾內把標楷體(Kaiu.ttf)copy出來

2.放到ezogo下面後,對這那個.ttf檔案按兩下,會跳出字型檢視器



3.按右下方的安裝,然後選擇給系統用。




4.最後會要你輸入你的密碼,輸入完後就大功告成囉!




 ps : 標楷體這個檔案是有版權的,歸微軟所有,可不能到處分享給別人喔!

18:54, Saturday, 01 September UTC

ezgo, here we go!

在 ezgo X 下如何將 cd 轉 mp3

有時候當你買了音樂 CD ,因為不想要一直放進光碟機聽而刮壞它,或者是你想要把音樂放進手機和 mp3 裏面,於是你就會想要把音樂轉成 mp3 了。那麼,在新的 ezgo X 底下,這點要怎麼做呢?

1.首先,從應用程式選單->我的最愛->終端機,來打開這個終端機介面

2.然後複製貼上 sudo apt-get install lame,按下 enter

3.系統跑完之後,從應用程式選單->影音-> K3B ,來把 K3B 給打開,然後把你要的CD放進去

4.按下工具->擷取音樂CD



5.按下開始擷取



6.這裡就可以調整囉

18:54, Saturday, 01 September UTC

July 24, 2012

KDE@Taiwan

KDE 4.9 release party 與 KDE 社群聚會台北場來了!


KDE 今年的北中南聚會,終於輪到台北了!

今年跟去年一樣,聯繫一下 KDE 社群使用者,慶祝 KDE 4.9 的誕生,另一方面則是為了幫 COSCUP 裡 KDE 相關的議程與活動熱身。

時間:8/12 下午一點。
地點:慕哲咖啡館紹北店

活動詳情請參考報名網頁。網址如下:
http://registrano.com/events/c91ee8

歡迎北中南部的 KDE 愛好者一起來參加!

10:32, Tuesday, 24 July UTC

June 11, 2012

Max 的宅空間

Gnome 3.4 VS KDE 4.8

因為一直找不到gnome跟kde的詳細比較
所以跟朋友們共筆編輯了了這個比較表

Gnome 3.4 VS KDE 4.8
如果你正想要選擇適合你的桌面環境
可以參考看看
如果你想添加內容,可以利用註解的方式
現在開放可以自由編輯

00:38, Monday, 11 June UTC

May 20, 2012

Max 的宅空間

如何利用print screen按鈕擷取螢幕畫面

在chakra中按下print screen是沒有任何動作的,那如果我要擷取螢幕畫面,該怎麼做呢?
首先打開系統設定


找到「捷徑與手勢」
點選「自訂捷徑」、「編輯」
「新信」、「全域捷徑」、「指令/網址」
給它一個名字,像是「printscreen」
點選「觸發器」點一下扳手的圖示,然後按下「print screen」的鍵盤按鍵。
點選「動作」在「指令/網址」的地方輸入「/usr/bin/ksnapshot」
套用。
這樣一來就可以按下print screen來擷取畫面了。

除了這個方法之外
你也可以使用三秒緯的方法 如何在 Chakra Linux 按下 PrintScreen 來進行畫面擷取
我是把熱鍵的行為交給KDE來集中管理,而三秒緯的方法是將熱鍵放在KDE的選單編輯器中,他的設定方法比較簡潔,但是我的方法則是可以集中管理,點進來「自訂捷徑」中就可以看到所有的自定義熱鍵了。

延伸閱讀:

05:21, Sunday, 20 May UTC

Max 的宅空間

如何把chakra中的KDE中文化

安裝完KDE之後,你可能會覺得,怎麼都是英文的,不知道該如何中文化。

其實很簡單
只要安裝KDE的語言包就可以了
sudo pacman -S kde-l10n-zh_TW
然後進入「system settings」找到「Locale」

 點選「Language」的頁籤
將預設語言改為「Chinese Traditional」
按下「apply 」讓設定生效,
然後重新登出登入就可以了。

05:19, Sunday, 20 May UTC

May 17, 2012

KDE@Taiwan

KDE 聚會高雄場更改地點囉


原訂 5/19 下午兩點在高雄的春木咖啡館舉行 KDE 聚會高雄場。
不過因為今天早上接到一個通知,當天在高雄市立中正高工有一個為期三天的自由軟體研習,
主辦單位希望能邀請我們一起去介紹 ezgo 與 KDE,
站在推廣的立場,希望越多人知道越好,我答應了這個請求。

因此 KDE 聚會的高雄場將改在高雄市立中正高工舉行。
地址在 高雄市前鎮區光華二路80號。
時間則為下午兩點半。

歡迎南部的 KDE 愛好者一起來參加!

06:01, Thursday, 17 May UTC

May 16, 2012

Max 的宅空間

透過ksnapshot直接上傳圖片到imgur.com

imgur.com是我很喜歡的一個圖床網站,
ksnapshot也是在kde一個非常優異的截圖軟體,
如果你的linux有裝ksnapshot也有裝kipi-plugins,
當按你下print screen之後,
你會發現ksnapshot的「傳送到」功能裏面有很多網站可以選取,
有flickr、picasa、facebook,但是唯獨就是少了我常用的imgur,

於是我找到一個由Bart Nagel所寫的script來進行修改,原本他的script只能在terminal下對圖檔進行傳送,不過因為我要跟ksnapshot做結合,所以有些在文字介面底下才有的特性被我做了一些更動,這讓我在截圖時會更加方便好用。
下面的script相依於 curl、 notify-send 、xsel or xclip
原始碼如下
#!/bin/bash

# imgur script by Bart Nagel
# version 2
# I release this as public domain. Do with it what you will.

# Required: curl
#
# Optional: notify-send xsel or xclip for automatically putting the URL on the X selection
# for easy pasting
#
# Instructions:
# Put it somewhere in your path and maybe rename it:
# mv ~/Downloads/imgur.sh ~/bin/imgur
# Make it executable:
# chmod +x ~/bin/imgur
# Stick your API key in the top:
# vim ~/bin/imgur
# Upload an image:
# imgur images/hilarious/manfallingover.jpg
# The URL will be displayed (and the delete page's URL will be displayed on
# stderr). If you have xsel or xclip the URL will also be put on the X
# selection, which you can usually paste with a middle click.

# API Key provided by Alan@imgur.com
#apikey="b3625162d3418ac51a9ee805b1840452"

# API Key provided by Max Wu
apikey="0c5996e47ef509f3f31b32e2d2934d01"

# function to output usage instructions
function usage {
echo "Usage: $(basename $0)
Upload an image to imgur and output its new URL to stdout. Its delete page is
output to stderr.
If xsel or xclip is available, the URL is put on the X selection for easy
pasting." >&2
}

# check API key has been entered
if [ "$apikey" = "Your API key" ]; then
echo "You first need to edit the script and put your API key in the variable near the top." >&2
exit 15
fi

# check arguments
if [ "$1" = "-h" -o "$1" = "--help" ]; then
usage
exit 0
elif [ $# -ne 1 ]; then
if [ $# == 0 ]; then
echo "No file specified" >&2
else
echo "Unexpected arguments" >&2
fi
usage
exit 16
elif [ ! -f "$1" ]; then
echo "File \"$1\" not found" >&2
exit 1
fi

# check curl is available
which curl >/dev/null 2>/dev/null || {
echo "Couln't find curl, which is required." >&2
exit 17
}

# upload the image
response=$(curl -F "key=$apikey" -H "Expect: " -F "image=@$1" \
http://imgur.com/api/upload.xml 2>/dev/null)
# the "Expect: " header is to get around a problem when using this through the
# Squid proxy. Not sure if it's a Squid bug or what.
if [ $? -ne 0 ]; then
echo "Upload failed" >&2
exit 2
elif [ $(echo $response | grep -c "") -gt 0 ]; then
echo "Error message from imgur:" >&2
echo $response | sed -r 's/.*(.*)<\/error_msg>.*/\1/' >&2
exit 3
fi

# parse the response and output our stuff
url=$(echo $response | sed -r 's/.*(.*)<\/original_image>.*/\1/')
deleteurl=$(echo $response | sed -r 's/.*(.*)<\/delete_page>.*/\1/')
echo $url
echo "Delete page: $deleteurl" >&2

# put the URL on the clipboard if we have xsel or xclip
if [ $DISPLAY ]; then
{ which xsel >/dev/null 2>/dev/null && echo -n $url | xsel; } \
|| { which xclip >/dev/null 2>/dev/null && echo -n $url | xclip -selection c;notify-send "Done"; } \
|| notify-send "Haven't copied to the clipboard: no xsel or xclip" >&2
else
notify-send "Haven't copied to the clipboard: no \$DISPLAY" >&2
fi


你可以把原始碼複製回去,也可以點這裡下載
既然script都寫好了,那麼該怎麼把script弄上ksnapshot上的「傳送到」(send to)選單上呢?
原本我怎麼樣都找不到相關的文檔,甚至還去找了source code來看,無奈功力太差看不懂,只好去kubuntu的論壇求救了,結果,沒想到方法出奇的簡單,我真是想太多了,
打開「系統設定」點選「檔案關聯」,找到image,再找到png

按下右邊的「增加」,
將你放置script的位置給輸入進去
按下確定後,他就會出現在「應用程式優先順序」中的第一個,
你可以點他按「編輯」來進行一些編修,
例如更改圖示(在壓縮檔中有imgur的圖示),
或者修改他的名稱、描述
修改完以後記得按下確定、套用,
接下來按下print screen的按鍵來試試看,
然後再按下「傳送到」,應該就會出現如下的選單,
看到第6個的選項了嗎?imgur出現了!
點下去之後,他就會把目前的截圖送到imgur的網站上,
傳送完成後會出現一個「Done」的字樣,
並且此時你只要按下「貼上」或者「ctrl+v」他就會貼上該圖的網址,
真的是超讚的!!
這個script的相依套件有curl,notify-send,xclip,如果有缺的就apt-get一下就好了,
ksnapshot不只可以擷取全螢幕也可以做區域選取,或者是當前視窗的截圖,真的是很棒的截圖軟體。
補充一下,因為是針對png圖檔進行檔案關聯的關係,所以在dolphin下也可以使用這個功能喔!
 直接針對圖檔也可以直接上傳,讚!!!

參考來源:

01:05, Wednesday, 16 May UTC

May 09, 2012

CS Slayer

KDE 中的截图

KDE 让人喜爱的一点是它强大的可互操作性,程序和程序之间是连贯而统一的。

这里一个小视频用于展示这点。

11:03, Wednesday, 09 May UTC


Older blog entries